#include pathsep.src
prioname = dataselstr $+ lmodel $+ subTstr $+ lprior;

workpath = cdir(0);
datapath = workpath ;
priopath = workpath ;
priobasepath = workpath $+ path_sep  $+ prioname;
postpath = workpath $+ path_sep  $+ prioname $+ path_sep $+ "post";
parapath = workpath $+ path_sep  $+ prioname $+ path_sep $+ "para";
resupath = workpath $+ path_sep  $+ prioname $+ path_sep $+ "results";

chkdir = chk_dir(priopath);
chkdir = chk_dir(priobasepath);
chkdir = chk_dir(postpath);
chkdir = chk_dir(parapath);
chkdir = chk_dir(datapath);
chkdir = chk_dir(resupath);


/*********************************************************
* Procedure: CHK_DIR
* checks if the 'path' directory exists, if not makes one.
* returns 0 when a directory is made, 1 when exists.
*********************************************************/
proc (1) = chk_dir(path);
local x, y, z, md, k;

x = cdir(0);
y = ChangeDir(path);

if y$=="";
#IFOS2WIN
    md = "md " $+ path;
#else
    md = "mkdir " $+ path;
#endif
print "md = " md;
//k = keyw;
    dos ^md;
    z = 0;
else;
    y = ChangeDir(x);
    z = 1;
endif;

retp(z);
endp;


/*********************************************************
* Procedure: EXIST
* checks if the 'file' exists.
* returns 1 if exists, 0 if not
*********************************************************/
proc exist(filename);

retp(not (filesa(filename) $== ""));
endp;
